Package com.orbbec.obsensor

## Class MultiDeviceSyncConfig

- java.lang.Object
- - com.orbbec.obsensor.MultiDeviceSyncConfig

    public class MultiDeviceSyncConfig
    extends java.lang.Object

Device synchronization configuration

### Constructor Summary

Constructors
`MultiDeviceSyncConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColorDelayUs()` The delay time of the color image capture after receiving the capture command or trigger signal in microseconds.
`int` `getDepthDelayUs()` The delay time of the depth image capture after receiving the capture command or trigger signal in microseconds.
`int` `getFramesPerTrigger()` The frame number of each stream after each trigger in triggering mode.
`SyncMode` `getSyncMode()` The sync mode of the device.
`int` `getTrigger2ImageDelayUs()` The delay time of the image capture after receiving the capture command or trigger signal in microseconds.
`int` `getTriggerOutDelayUs()` The delay time of the trigger signal output after receiving the capture command or trigger signal in microseconds.
`boolean` `isTriggerOutEnable()` Trigger signal output enable flag.
`void` `setColorDelayUs​(int delayUs)` The delay time of the color image capture after receiving the capture command or trigger signal in microseconds.
`void` `setDepthDelayUs​(int delayUs)` The delay time of the depth image capture after receiving the capture command or trigger signal in microseconds.
`void` `setFramesPerTrigger​(int frameNumPerTrigger)` The frame number of each stream after each trigger in triggering mode.
`void` `setSyncMode​(SyncMode mode)` The sync mode of the device.
`void` `setTrigger2ImageDelayUs​(int delayUs)` The delay time of the image capture after receiving the capture command or trigger signal in microseconds.
`void` `setTriggerOutDelayUs​(int delayUs)` The delay time of the trigger signal output after receiving the capture command or trigger signal in microseconds.
`void` `setTriggerOutEnable​(boolean triggerOutEnable)` Trigger signal output enable flag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiDeviceSyncConfig

    public MultiDeviceSyncConfig()

### Method Detail

#### getSyncMode

    public SyncMode getSyncMode()

The sync mode of the device.

Returns:
  the sync mode of the device.

#### setSyncMode

    public void setSyncMode​(SyncMode mode)

The sync mode of the device.

Parameters:
  `mode` - the sync mode of the device

#### getDepthDelayUs

    public int getDepthDelayUs()

The delay time of the depth image capture after receiving the capture command or trigger signal in microseconds. This parameter is only valid for some models, please refer to the product manual for details.

Returns:
  delay time of depth image.

#### setDepthDelayUs

    public void setDepthDelayUs​(int delayUs)

The delay time of the depth image capture after receiving the capture command or trigger signal in microseconds. This parameter is only valid for some models, please refer to the product manual for details.

Parameters:
  `delayUs` - the delay time of the depth image.

#### getColorDelayUs

    public int getColorDelayUs()

The delay time of the color image capture after receiving the capture command or trigger signal in microseconds. This parameter is only valid for some models, please refer to the product manual for details.

Returns:
  the delay time of the color image.

#### setColorDelayUs

    public void setColorDelayUs​(int delayUs)

The delay time of the color image capture after receiving the capture command or trigger signal in microseconds. This parameter is only valid for some models, please refer to the product manual for details.

Parameters:
  `delayUs` - the delay time of the color image.

#### getTrigger2ImageDelayUs

    public int getTrigger2ImageDelayUs()

The delay time of the image capture after receiving the capture command or trigger signal in microseconds. The depth and color images are captured synchronously as the product design and can not change the delay between the depth and color images. For Orbbec Astra 2 device, this parameter is valid only when the @ref triggerOutDelayUs is set to 0. This parameter is only valid for some models to replace @ref depthDelayUs and @ref colorDelayUs, please refer to the product manual for details.

Returns:
  the delay time of the image capture after receiving the capture command or trigger signal in microseconds.

#### setTrigger2ImageDelayUs

    public void setTrigger2ImageDelayUs​(int delayUs)

The delay time of the image capture after receiving the capture command or trigger signal in microseconds. The depth and color images are captured synchronously as the product design and can not change the delay between the depth and color images. For Orbbec Astra 2 device, this parameter is valid only when the @ref triggerOutDelayUs is set to 0. This parameter is only valid for some models to replace @ref depthDelayUs and @ref colorDelayUs, please refer to the product manual for details.

Parameters:
  `delayUs` - delay time.

#### isTriggerOutEnable

    public boolean isTriggerOutEnable()

Trigger signal output enable flag. After the trigger signal output is enabled, the trigger signal will be output when the capture command or trigger signal is received. User can adjust the delay time of the trigger signal output by @ref triggerOutDelayUs. For some models, the trigger signal output is always enabled and cannot be disabled. If device is in the @ref OB_MULTI_DEVICE_SYNC_MODE_FREE_RUN or @ref OB_MULTI_DEVICE_SYNC_MODE_STANDALONE mode, the trigger signal output is always disabled. Set this parameter to true will not take effect.

Returns:
  Trigger signal output enable flag.

#### setTriggerOutEnable

    public void setTriggerOutEnable​(boolean triggerOutEnable)

Trigger signal output enable flag. After the trigger signal output is enabled, the trigger signal will be output when the capture command or trigger signal is received. User can adjust the delay time of the trigger signal output by @ref triggerOutDelayUs. For some models, the trigger signal output is always enabled and cannot be disabled. If device is in the @ref OB_MULTI_DEVICE_SYNC_MODE_FREE_RUN or @ref OB_MULTI_DEVICE_SYNC_MODE_STANDALONE mode, the trigger signal output is always disabled. Set this parameter to true will not take effect.

Parameters:
  `triggerOutEnable` - Trigger signal output enable flag.

#### getTriggerOutDelayUs

    public int getTriggerOutDelayUs()

The delay time of the trigger signal output after receiving the capture command or trigger signal in microseconds. For Orbbec Astra 2 device, only supported -1 and 0. -1 means the trigger signal output delay is automatically adjusted by the device, 0 means the trigger signal output is disabled.

Returns:
  delay time.

#### setTriggerOutDelayUs

    public void setTriggerOutDelayUs​(int delayUs)

The delay time of the trigger signal output after receiving the capture command or trigger signal in microseconds. For Orbbec Astra 2 device, only supported -1 and 0. -1 means the trigger signal output delay is automatically adjusted by the device, 0 means the trigger signal output is disabled.

Parameters:
  `delayUs` - delay time.

#### getFramesPerTrigger

    public int getFramesPerTrigger()

The frame number of each stream after each trigger in triggering mode. This parameter is only valid when the triggering mode is set to @ref OB_MULTI_DEVICE_SYNC_MODE_HARDWARE_TRIGGERING or OB_MULTI_DEVICE_SYNC_MODE_SOFTWARE_TRIGGERING. The trigger frequency multiplied by the number of frames per trigger cannot exceed the maximum frame rate of the stream profile which is set when starting the stream.

Returns:
  The frame number of each stream after each trigger in triggering mode.

#### setFramesPerTrigger

    public void setFramesPerTrigger​(int frameNumPerTrigger)

The frame number of each stream after each trigger in triggering mode. This parameter is only valid when the triggering mode is set to @ref OB_MULTI_DEVICE_SYNC_MODE_HARDWARE_TRIGGERING or @ref OB_MULTI_DEVICE_SYNC_MODE_SOFTWARE_TRIGGERING. The trigger frequency multiplied by the number of frames per trigger cannot exceed the maximum frame rate of the stream profile which is set when starting the stream.

Parameters:
  `frameNumPerTrigger` - The frame number of each stream after each trigger in triggering mode.